Issue 110851 - [automation] global: define global path variable for private test script location
Summary: [automation] global: define global path variable for private test script loca...
Status: CLOSED FIXED
Alias: None
Product: QA
Classification: Unclassified
Component: testscripts (show other issues)
Version: DEV300m75
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: b.osi.ooo
QA Contact: issues@qa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-13 16:33 UTC by b.osi.ooo
Modified: 2013-08-07 15:06 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description b.osi.ooo 2010-04-13 16:33:55 UTC
The former function of the variable was deprecated in
http://www.openoffice.org/servlets/ReadMsg?list=allfeatures&msgNo=3581

Not back with new behaviour:
global string variable: gPrivateEnvironmentLocation

get's set if you have the following entry in your testtoolrc:
[PrivateEnvironment]
Type=PATH
Current=.

which enables you a path selection in the testtool settings;
If it is set other than empty and '.' the global variable contains this path.

The use is to have a global path available that can be used in testscripts,
beside the basepath setting from the testtool.

Default, after using the path dialog in testtool, is that there is no path
character at the end.
Comment 1 b.osi.ooo 2010-04-13 16:35:40 UTC
started in cws DEV300/automationdev300m76cat0 fixed and pushed to repository
Comment 2 b.osi.ooo 2010-04-19 10:38:58 UTC
verified
Comment 3 b.osi.ooo 2010-09-07 12:52:49 UTC
.